Upstream information

CVE-2021-35940 at MITRE

Description

An out-of-bounds array read in the apr_time_exp*() functions was fixed in the Apache Portable Runtime 1.6.3 release (CVE-2017-12613). The fix for this issue was not carried forward to the APR 1.7.x branch, and hence version 1.7.0 regressed compared to 1.6.3 and is vulnerable to the same issue.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 3.6
Vector AV:L/AC:L/Au:N/C:P/I:N/A:P
Access Vector Local
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.1 7.1
Vector CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:H CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:H
Access Vector Local Local
Access Complexity Low Low
Privileges Required Low Low
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact None None
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1190072 [RESOLVED / FIXED]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
openSUSE Tumbleweed
  • apr-devel >= 1.7.0-4.1
  • libapr1-0 >= 1.7.0-4.1
Patchnames:
openSUSE Tumbleweed GA apr-devel-1.7.0-4.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 libapr1 Not affected
SUSE CaaS Platform 4.0 apr Not affected
SUSE Enterprise Storage 6 apr Not affected
SUSE Linux Enterprise Desktop 15 SP2 apr Not affected
SUSE Linux Enterprise High Performance Computing 12 SP5 libapr1 Not affected
SUSE Linux Enterprise High Performance Computing 15 LTSS apr Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS apr Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 apr Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP2 apr Not affected
SUSE Linux Enterprise Point of Service 11 SP3 libapr1 Not affected
SUSE Linux Enterprise Server 11 SP4 LTSS libapr1 Not affected
SUSE Linux Enterprise Server 12 SP2 BCL libapr1 Not affected
SUSE Linux Enterprise Server 12 SP3 BCL libapr1 Not affected
SUSE Linux Enterprise Server 12 SP3 ESPOS libapr1 Not affected
SUSE Linux Enterprise Server 12 SP3 LTSS libapr1 Not affected
SUSE Linux Enterprise Server 12 SP4 ESPOS libapr1 Not affected
SUSE Linux Enterprise Server 12 SP4 LTSS libapr1 Not affected
SUSE Linux Enterprise Server 12 SP5 libapr1 Not affected
SUSE Linux Enterprise Server 15 ESPOS apr Not affected
SUSE Linux Enterprise Server 15 LTSS apr Not affected
SUSE Linux Enterprise Server 15 SP1 LTSS apr Not affected
SUSE Linux Enterprise Server 15 SP2 apr Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 apr Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 libapr1 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 libapr1 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 libapr1 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 apr Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 apr Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 apr Not affected
SUSE Linux Enterprise Storage 7 apr Not affected
SUSE Manager Proxy 4.0 apr Not affected
SUSE Manager Proxy 4.1 apr Not affected
SUSE Manager Retail Branch Server 4.0 apr Not affected
SUSE Manager Retail Branch Server 4.1 apr Not affected
SUSE Manager Server 4.0 apr Not affected
SUSE Manager Server 4.1 apr Not affected
SUSE OpenStack Cloud 8 libapr1 Not affected
SUSE OpenStack Cloud 9 libapr1 Not affected
SUSE OpenStack Cloud Crowbar 8 libapr1 Not affected
SUSE OpenStack Cloud Crowbar 9 libapr1 Not affected